/*
 * Vom utiliza programarea dinamica. Subproblema:
 *
 * N(G,V) = numarul maxim de valori ce pot fi determinate pentru G incercari si V vieti
 * Relatia de recurenta
 *
 * N(0,V) = 0     pentru orice V
 * N(G,0) = G     pentru orice G  (fara vieti poate intreba numai 1, 2, ..., G)
 * N(G,V) = N(G-1,V-1) + 1 + N(G-1, V) pentru G, V >= 1
 * daca facem o incercare pentru pretul P exista trei posibilitati:
 * pretul P a fost prea mare, pierdem o viata si o incercare  si obtinem atunci putem acoperi N(G-1,V-1) valori <P
 * pretul P a fost prea mic, pierdem doar o incercare si acoperim N(G-1,V) valori > P.
 * pretul egal cu P (o valoare)
 */

#include <stdio.h>

#define MAX_G 40
#define MAX_V 40

long long int N[MAX_G+1][MAX_V+1];
int G, V;

long long int rezolva(int G, int L)
{

  int g, l;
  for (l = 0; l <= V; l++) N[0][l] = 0;
  for (g = 0; g <= G; g++) N[g][0] = g;
  for (g = 1; g <= G; g++)
      for (l = 1; l <= L; l++)
          N[g][l] = N[g-1][l-1] + 1 + N[g-1][l];
  return N[G][V];
}

int main(void)
{

  FILE * fin=fopen("pc.in","r");
  FILE * fout=fopen("pc.out","w");
  fscanf(fin,"%d %d", &G, &V);
  fprintf(fout,"%lld\n", rezolva(G,V));
  fclose(fout);
  return 0;
}
